import sys

from piccolo.apps.user.tables import BaseUser
from piccolo.apps.user.commands.create import (
    get_username,
    get_password,
    get_confirmed_password,
)


def change_password():
    """
    Change a user's password.
    """
    username = get_username()
    password = get_password()
    confirmed_password = get_confirmed_password()

    if not password == confirmed_password:
        print("Passwords don't match!")
        sys.exit(1)

    BaseUser.update_password_sync(user=username, password=password)

    print(f"Updated password for {username}")
    print(
        "If using session auth, we recommend invalidating this user's session."
    )
